*===========================================================================
* Function:			Decrypt
* Purpose:			Decrypt a string
* Author:			Doug Hennig
* Copyright:		(c) 1997 Stonefield Systems Group Inc.
* Last Revision:	01/29/97
* Parameters:		tcString - the string to decrypt
*					lcKey    - a key to decrypt against
* Returns:			the decrypted string
* Environment in:	none
* Environment out:	none
* Routines used:	none
*===========================================================================

lparameters tcString, ;
	tcKey
local lnLen, ;
	lcKeyExpr, ;
	lcDecrypt, ;
	lnI, ;
	lnChar
lnLen     = len(tcString)
lcKeyExpr = tcKey
do while len(lcKeyExpr) < lnLen
	lcKeyExpr = lcKeyExpr + tcKey
enddo while len(lcKeyExpr) < lnLen
lcDecrypt = ''
for lnI = 1 to lnLen
	lnChar    = max(asc(substr(tcString, lnI, 1)) - ;
		asc(substr(lcKeyExpr, lnI, 1)) - lnI, 0)
	lcDecrypt = lcDecrypt + iif(lnChar = 0, ' ', chr(lnChar))
next lnI
return lcDecrypt
