**********************************************************************
* Program....: StrTest3.prg
* Compiler...: Visual FoxPro 06.00.8492.00 for Windows
* Abstract...: Using StrToFile() to write one string
**********************************************************************
LOCAL lcOutFile, lnStart, lcStr, lnFinish, lcTime

*** Clear out any old files
IF FILE( 'genfile03.txt' )
    ERASE GenFile03.txt
ENDIF

*** Get a good-sized data table
IF ! USED("foxhelp")
    USE FOXHELP.DBF
ENDIF
SELECT foxhelp
GO TOP
    
*** SCAN and write using TextMerge
lcOutFile = "GenFile03.txt"

*** Start Timing
lnStart   = SECONDS()
lcTxt = ""
SCAN
    *** Build the entire string in memory
    lcTxt = lcTxt + CHR(13) + CHR(10) + foxhelp.details 
ENDSCAN
STRTOFILE( lcTxt, lcOutFile )
*** How long?
lnFinish = SECONDS()
lcTime   = STR( lnFinish - lnStart, 8, 4 )
? "StrToFile One String " + lcTime + " Secs"