**********************************************************************
* Program....: StrTest5.prg
* Compiler...: Visual FoxPro 06.00.8492.00 for Windows
* Abstract...: Use low level functions to search a file
**********************************************************************
LOCAL lcInFile, lcOutFile, lcStr, lnCnt
LOCAL lnStart, lnSce, lnTgt, lnFinish, lcTime
 
*** Clear out any old files
IF FILE( 'genfile05.txt' )
    ERASE GenFile05.txt
ENDIF

#DEFINE DEF_SEARCH_STRING  "HELP"
lcInFile  = "HelpText.txt"    
lcOutFile = "GenFile05.txt"
lcStr = ""
lnCnt = 0
*** Start Timing
lnStart   = SECONDS()
lnSce = FOPEN( lcInFile )
lnTgt = FCREATE( lcOutFile )
DO WHILE ! FEOF( lnSce )
    lcStr = FGETS( lnSce, 750 )
    IF LOWER( DEF_SEARCH_STRING ) $ LOWER( lcStr )
		lnCnt = lnCnt + 1
	    FPUTS( lnTgt, lcStr )
	ENDIF
ENDDO
FCLOSE( lnSce )
FCLOSE( lnTgt )

*** How long?
lnFinish = SECONDS()
lcTime   = STR( lnFinish - lnStart, 8, 4 )
? "FPUTS() Found " + TRANSFORM( lnCnt ) + " Occurrences and Took " + lcTime + " Secs"

