* Instantiate SFRegistry and SFLicenseMgr objects.

oRegistry            = newobject('SFRegistry', 'SFFFC.VCX')
oRegistry.lCreateKey = .T.
oLicense             = newobject('SFLicenseMgr', 'SFLicense.vcx')

* Point the license manager at the Registry object and tell it what Registry
* key to use.

oLicense.oRegistry    = oRegistry
oLicense.cRegistryKey = 'Software\Stonefield Systems Group Inc.\' + ;
	'My Application\Registration'

* If we're in demo mode, display the registration form.

if oLicense.nAppLevel = 0
	do form Registration with oRegistry, oLicense
endif oLicense.nAppLevel = 0

* Display a message telling the user what level they're at.

do case
	case oLicense.nAppLevel = 0
		messagebox('You are running a demo version.')
	case oLicense.nAppLevel = 1
		messagebox('You are running a standard version.')
	otherwise
		messagebox('You are running an enterprise version.')
endcase
