**********************************************************************
* Program....: StrTest4.prg
* Compiler...: Visual FoxPro 06.00.8492.00 for Windows
* Abstract...: Using FPUTS() to write the file
**********************************************************************
LOCAL lcOutFile, lnStart, lcStr, lnFinish, lcTime, lnTgt

*** Clear out any old files
IF FILE( 'genfile04.txt' )
    ERASE GenFile04.txt
ENDIF

*** Get a good-sized data table
IF ! USED("foxhelp")
    USE FOXHELP.DBF
ENDIF
SELECT foxhelp
GO TOP
    
lcOutFile = "GenFile04.txt"
*** Start Timing
lnStart   = SECONDS()
lnTgt = FCREATE( lcOutFile )
lcStr = ""
SCAN
    lcStr = foxhelp.details
    FPUTS( lnTgt, lcStr )
ENDSCAN
FCLOSE( lnTgt )

*** How long?
lnFinish = SECONDS()
lcTime   = STR( lnFinish - lnStart, 8, 4 )
? "FPUTS() Took " + lcTime + " Secs"

