**********************************************************************
* Program....: StrTest7.prg
* Compiler...: Visual FoxPro 06.00.8492.00 for Windows
* Abstract...: Use FILETOSTR() and ALINES()
**********************************************************************
LOCAL lcInFile, lcOutFile, lcStr, lnCnt, lnStart
LOCAL lnLines, lnLoop, lcOutStr, lcInFile, lcOutFile, lcStr, lnCnt, lnStart, lnFinish, lcTime 
 
 *** Clear out any old files
IF FILE( 'genfile07.txt' )
    ERASE GenFile07.txt
ENDIF

#DEFINE DEF_SEARCH_STRING  "HELP"
lcInFile  = "HelpText.txt"    
lcOutFile = "GenFile07.txt"
STORE "" TO lcStr, lcOutStr
lnCnt = 0
*** Start Timing
lnStart   = SECONDS()
lcStr = FILETOSTR( lcInFile )
*** Now get the contents into an array
lnLines = ALINES( laText, lcStr )
FOR lnLoop = 1 TO lnLines
	*** Search the array
    IF LOWER( DEF_SEARCH_STRING ) $ LOWER( laText[lnLoop] )
        lnCnt = lnCnt + 1
        lcOutStr = lcOutStr + CHR(13) + CHR(10) + laText[lnLoop]
    ENDIF
NEXT
STRTOFILE( lcOutStr, lcOutFile)
*** How long?
lnFinish = SECONDS()
lcTime   = STR( lnFinish - lnStart, 8, 4 )
? "FILETOSTR() and ALINES() Found " + TRANSFORM( lnCnt ) + " Occurrences and Took " + lcTime + " Secs"
